//do szyfrowania wykorzystano operator XOR, ktory
//użyty dwukrotnie umożliwia uzyskanie danej początkowej
//np. 7 XOR 2=2 i 2 XOR 2=7 - po zamianie naliczby binarne
//wykonywane są operacje XOR na odpowiadających sobie bitach

unit Unit1;
interface
uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}
const klucz='X';

//szyfrowanie
procedure TForm1.Button1Click(Sender: TObject);
var i:integer;
    s:string;
begin
  s:=Edit1.Text;
  //szyfrowanie kazdego znaku z osobna
  for i:=1 to Length(s) do
   s[i]:=CHR(ORD(s[i]) XOR ORD(klucz));

   Label1.Caption:=s;
end;

//deszyfrowanie
procedure TForm1.Button2Click(Sender: TObject);
var i:integer;
    s:string;
begin
  s:=Label1.Caption;
  //szyfrowanie kazdego znaku z osobna
  for i:=1 to Length(s) do
   s[i]:=CHR(ORD(s[i]) XOR ORD(klucz));

   Label1.Caption:=s;

end;

end.
